<!doctype html>
<html lang="es">

<head>
  <meta charset='utf-8'>
  <title>Estilos: Tipografía</title>
  <link rel='stylesheet' href='css/style.css'>
  <link href="https://fonts.cdnfonts.com/css/open-logos" rel="stylesheet">
  <link rel='stylesheet' href='css/print.css' media='print'>
</head>

<body>


  <article class='reveal'>

    <section data-bespoke-state='portada'>
      <h1>Estilos: Tipografía</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Introducción</h2>
      <ul class="lista">
        <li>Tipo de letra</li>
        <li>Texto</li>
        <li>Otros</li>
      </ul>
      <p class="mt-2">* Todas las <span class="propiedad">propiedades</span> siguientes se heredan</p>
    </section>

    <section data-bespoke-state='clean'>
      <h1>Tipo de letra</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">font-family</span></h2>
      <ul class="lista">
        <li>Establece el nombre del tipo de letra</li>
        <li>Dos formas:
          <ul>
            <li>Nombre genérico de la familia, por ejemplo <span style="font-family: serif">serif</span></li>
            <li>Nombre de la letra, por ejemplo "<span style="font-family:'Times New Roman', Times, serif">Times New Roman</span>"</li>
          </ul>
        </li>
        <li>Concatenar por si alguna no está</li>
      </ul>
      <h3 class="pt-05">Ejemplo</h3> 
      <pre class="m-05"><code><span class="propiedad">font-family:</span><span class="valor-css">'Times New Roman', Times, serif;</span></code></pre>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Familias de nombres</h2>
      <ul class="lista">
        <li><strong class="valor-css" style="font-family: serif;">serif</strong>: con adornos en los extremos</li>
        <li><strong class="valor-css" style="font-family: sans-serif;">sans-serif</strong>: extremos rectos</li>
        <li><strong class="valor-css" style="font-family: monospace;">monospace</strong>: mismo espacio horizontal</li>
        <li><strong class="valor-css" style="font-family: cursive;">cursive</strong>: manuscrita</li>
        <li><strong><span class="valor-css">fantasy</span> (<span style="font-family: OpenLogos, fantasy;">fantasy</span>)</strong>: decorativas/símbolos <br>
          (para buscarlas a veces sale como <strong>display</strong> o <strong>dingbat</strong>)</li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Lista de nombres de letras "seguras"</h2>
      <ul class="lista">
        <li><span class="valor-css">Arial</span> (sans-serif)</li>
        <li><span class="valor-css">'Times New Roman'</span> (serif)</li>
        <li><span class="valor-css">'Courier New'</span> (monospace)</li>
        <li><span class="valor-css">Verdana</span> (sans-serif)</li>
        <li><span class="valor-css">Georgia</span> (serif)</li>
        <li><span class="valor-css">Garamond</span> (serif)</li>
        <li><span class="valor-css">Tahoma</span> (sans-serif)</li>
        <li><span class="valor-css">Helvetica</span> (sans-serif)</li>
      </ul>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Aplicar distintas fuentes para los <span class="etiqueta">h1</span>, <span class="etiqueta">h2</span>, <span class="etiqueta">p</span>, <br>
          <span class="etiqueta">footer</span> y el texto marcado</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio13/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio13/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">font-size</span></h2>
      <ul class="lista">
        <li>Establece el tamaño de la fuente</li>
        <li><span class="negrita">Tamaños absolutos</span>: <span class="valor-css">cm, mm, in, <strong>px</strong>, pt y pc <br>
          xx-small, x-small, small, medium, large, x-large, xx-large, xxx-large</span>
        </li>
        <li><span class="negrita">Tamaños relativos</span>: <span class="valor-css"><strong>em</strong>, ex, ch, <strong>rem</strong>, vw, vh, vmin, vmax y <strong>%</strong><br>
          larger, smaller</span>
        </li>
      </ul>
      <div class="columnas-flex pt-05">
        <div>
          <h3 class="pt-05">Ejemplos</h3> 
          <pre><code><span class="propiedad">font-size:</span><span class="valor-css">14px;</span>
<span class="propiedad">font-size:</span><span class="valor-css">small;</span>
<span class="propiedad">font-size:</span><span class="valor-css">1.5em;</span>
<span class="propiedad">font-size:</span><span class="valor-css">150%;</span>
<span class="propiedad">font-size:</span><span class="valor-css">larger;</span></code></pre>
        </div> 
        <div>
          <h3>Resultados:</h3>
          <p style="font-size: 1em;">Normal: Texto</p>
          <p style="font-size:14px;">14px: Texto</p>
          <p style="font-size:small;">small: Texto</p>
          <p style="font-size:1.5em;">1.5em: Texto</p>
          <p style="font-size:125%;">125%: Texto</p>
          <p style="font-size:larger;">larger: Texto</p>
        </div>


    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">font-weight</span></h2>
      <ul class="lista">
        <li>Anchura de la letra</li>
        <li>Valores: 
          <ul>
            <li style="font-weight: normal;"><span class="valor-css">normal</span> (400)</li>
            <li style="font-weight: bold;"><span class="valor-css">bold</span> (700)</li>
            <li style="font-weight: bolder;"><span class="valor-css">bolder</span>: más ancha respeto al padre</li>
            <li style="font-weight: lighter;"><span class="valor-css">lighter</span>: más fina respecto al padre</li>
            <li>Números: <span class="valor-css">100</span>, <span class="valor-css">200</span>, 
              <span class="valor-css">300</span>, <span class="valor-css">400</span>, <span class="valor-css">500</span>,
              <span class="valor-css">600</span>, <span class="valor-css">700</span>, <span class="valor-css">800</span> 
              y <span class="valor-css">900</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">font-style</span></h2>
      <ul class="lista">
        <li>Estilo de la letra</li>
        <li>Valores:
          <ul>
            <li style="font-style: normal;"><span class="valor-css">normal</span></li>
            <li style="font-style: italic;"><span class="valor-css">italic</span></li>
            <li style="font-style: oblique;"><span class="valor-css">oblique</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">font-variant</span></h2>
      <ul class="lista">
        <li>Estilo alternativo de la letra</li>
        <li>Valores:
          <ul>
            <li style="font-variant: normal;"><span class="valor-css">normal</span></li>
            <li style="font-variant: small-caps;"><span class="valor-css">small-caps</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Definición abreviada</h2>
      <pre><code><span class="propiedad">font:</span><span class="valor-css">font-style font-variant font-weight font-size/line-height font-family;</span></code></pre>
      <ul class="lista">
        <li><span class="propiedad">font-style</span>: por defecto <span class="valor-css">normal</span></li>
        <li><span class="propiedad">font-variant</span>: por defecto <span class="valor-css">normal</span></li>
        <li><span class="propiedad">font-weight</span>: por defecto <span class="valor-css">normal</span></li>
        <li><span class="propiedad">font-size</span>: obligatorio</li>
        <li><span class="propiedad">line-height</span>: por defecto <span class="valor-css">normal</span></li>
        <li><span class="propiedad">font-family</span>: obligatorio</li>
      </ul>
      <h3>Ejemplo:</h3>
      <pre><code><span class="propiedad">font:</span><span class="valor-css">italic small-caps 100 1.3em/2 'Fira Sans', serif;</span></code></pre>
      <p style="font:italic small-caps 100 1.3em/2 'Fira Sans', serif;">Texto de ejemplo</p>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Aplicar:
          <ul>
            <li><span class="etiqueta">body</span> un tamaño inicial del 120%</li>
            <li><span class="etiqueta">h1</span> un tamaño de 3em y todo en small-caps</li>
            <li><span class="etiqueta">h2</span> un tamaño de 2em y todo en small-caps</li>
            <li><span class="etiqueta">h3</span> un tamaño de 1.5em</li>
            <li><span class="etiqueta">footer</span> un tamaño de 14px y en cursiva</li>
            <li><span class="selector">marcar</span> en negrita</li>
          </ul>
        </li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio14/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio14/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h2>Obtener tipos de letra</h2>
      <ul class="lista">
        <li>Enlazar ficheros: <a href="https://www.fontsquirrel.com">Font Squirrel</a></li>
      </ul>
          <pre><code><span class="arroba-css">@font-face</span> {
  <span class="propiedad">font-family:</span> <span class="valor-css">"mi_letra";</span>
  <span class="propiedad">src:</span> <span class="valor-css">url("../fonts/mi_letra.woff") format("woff"),
      url("../fonts/mi_letra.ttf') format('truetype');</span>
  <span class="propiedad">font-weight:</span> <span class="valor-css">normal</span>;
  <span class="propiedad">font-style:</span> <span class="valor-css">normal</span>;
}</code></pre>        
      <ul class="lista">
        <li>Servicios online: 
          <ul>
            <li><a href="https://fonts.google.com/">Google fonts</a></li>
            <li><a href="https://www.cdnfonts.com/">CDN Fonts</a></li>
          </ul>
      </ul>
      <pre><code><span class="etiqueta">link <span class="propiedad">href</span>=<span class="valor">"https://fonts.googleapis.com/css2?family=Island+Moments&display=swap"</span> <span class="propiedad">rel</span>=<span class="valor">stylesheet</span></span>
<span class="etiqueta">link <span class="propiedad">href</span>=<span class="valor">"http://fonts.cdnfonts.com/css/open-logos"</span> <span class="propiedad">rel</span>=<span class="valor">stylesheet</span></span></code></pre>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Descargar al menos un tipo de letra de <a href="https://www.fontsquirrel.com">Font Squirrel</a> y aplicarla</li>
        <li>Enlazar al menos un tipo de letra de <a href="https://fonts.google.com/">Google fonts</a> o <a href="https://www.cdnfonts.com/">CDN Fonts</a> y aplicarla</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio15/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio15/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

    <section data-bespoke-state='clean'>
      <h1>Texto</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-align</span></h2>
      <ul class="lista">
        <li>Define la alineación del texto</li>
        <li>Valores:
          <ul>
            <li><strong class="valor-css">start</strong>: depende de la dirección del texto</li>
            <li><strong class="valor-css">end</strong>: depende de la dirección del texto</li>
            <li><strong class="valor-css">left</strong>: alineado a la izquierda</li>
            <li><strong class="valor-css">right</strong>: alineado a la derecha</li>
            <li><strong class="valor-css">center</strong>: centrado</li>
            <li><strong class="valor-css">justify</strong>: justificado</li>
          </ul>
        </li>
      </ul>
    </section>
    
    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-align</span></h2>
      <h3>Ejemplos:</h3>
      <p style="text-align: start;"><strong class="valor-css">start</strong>: Lorem ipsum, dolor sit amet consectetur adipisicing elit.</p>
      <p style="text-align: end;"><strong class="valor-css">end</strong>: Lorem ipsum, dolor sit amet consectetur adipisicing elit.</p>
      <p style="text-align: left;"><strong class="valor-css">left</strong>: Lorem ipsum, dolor sit amet consectetur adipisicing elit.</p>
      <p style="text-align: right;"><strong class="valor-css">right</strong>: Lorem ipsum, dolor sit amet consectetur adipisicing elit.</p>
      <p style="text-align: center;"><strong class="valor-css">center</strong>: Lorem ipsum, dolor sit amet consectetur adipisicing elit.</p>
      <p style="text-align: justify;"><strong class="valor-css">justify</strong>: Lorem ipsum, dolor sit amet consectetur adipisicing elit. Lorem ipsum, dolor sit amet consectetur adipisicing elit.</p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-decoration</span></h2>
      <ul class="lista">
        <li>Forma abreviada de las siguientes propiedades:
          <ul>
            <li><span class="propiedad">text-decoration-line</span></li>
            <li><span class="propiedad">text-decoration-color</span></li>
            <li><span class="propiedad">text-decoration-style</span></li>
            <li><span class="propiedad">text-decoration-thickness</span></li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-decoration-line</span></h2>
      <ul class="lista">
        <li>Pinta una linea en el texto</li>
        <li>Valores (se pueden combinar):
          <ul>
            <li><span class="valor-css">none</span>: sin linea (por defecto)</li>
            <li style="text-decoration-line: underline;"><span class="valor-css">underline</span>: subrayado</li>
            <li style="text-decoration-line: overline;"><span class="valor-css">overline</span>: linea superior</li>
            <li style="text-decoration-line: line-through;"><span class="valor-css">line-through</span>: tachado</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-decoration-style</span></h2>
      <ul class="lista">
        <li>Estilo de la linea</li>
        <li>Valores:
          <ul>
            <li style="text-decoration-line: underline; text-decoration-style: solid;"><span class="valor-css">solid</span>: normal (por defecto)</li>
            <li style="text-decoration-line: underline; text-decoration-style: double;"><span class="valor-css">double</span>: doble</li>
            <li style="text-decoration-line: underline; text-decoration-style: dotted;"><span class="valor-css">dotted</span>: a puntos</li>
            <li style="text-decoration-line: underline; text-decoration-style: dashed;"><span class="valor-css">dashed</span>: rayas</li>
            <li style="text-decoration-line: underline; text-decoration-style: wavy;"><span class="valor-css">wavy</span>: ondulado</li>
          </ul>
        </li>
      </ul>
    </section>

    
    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-decoration-color</span></h2>
      <ul class="lista">
        <li style="text-decoration-line: underline; text-decoration-color: red;">Color de la linea</li>
      </ul>
      <h2><span class="propiedad">text-decoration-thickness</span></h2>
      <ul class="lista">
        <li>Estilo de la linea</li>
        <li>Valores:
          <ul>
            <li style="text-decoration-line: underline; text-decoration-thickness: auto;"><span class="valor-css">auto</span>: elige el navegador</li>
            <li style="text-decoration-line: underline; text-decoration-thickness: from-font;"><span class="valor-css">from-font</span>: de la fuente, sino auto</li>
            <li style="text-decoration-line: underline; text-decoration-thickness: .3em;"><span class="valor-css">tamaño</span>: unidad de tamaño absoluta o relativa</li>
          </ul>
        </li>
      </ul>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-indent</span></h2>
      <ul class="lista">
        <li>Aplica una sangría a la primera línea de cada párrafo</li>
        <li>Valores: unidad de tamaño (puede ser negativa)</li>
      </ul>
      <p style="text-align: start; text-indent: 15%">Lorem ipsum dolor sit amet consectetur adipisicing elit. Deserunt dolor, aliquid accusamus molestiae exercitationem illo ad alias impedit amet.</p>
      <h2><span class="propiedad">text-shadow</span></h2>
      <ul class="lista">
        <li>Añade una sombra el texto</li>
      </ul>
      <pre><code><span class="propiedad">text-shadow:</span><span class="valor-css">unidadX unidadY (color)</span></code></pre>
      <p style="text-shadow: 2px 2px gray;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Corrupti inventore consequuntur deleniti suscipit sint esse quae nisi?</p>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">text-transform</span></h2>
      <ul class="lista">
        <li>Modificaciones entre mayúsculas y minúsculas</li>
        <li>Valores:
          <ul>
            <li style="text-transform: none;"><span class="valor-css">none</span>: sin cambio (por defecto)</li>
            <li style="text-transform: capitalize;"><span class="valor-css">capitalize</span>: primera letra en mayúsculas</li>
            <li style="text-transform: uppercase;"><span class="valor-css">uppercase</span>: todo en mayúsculas</li>
            <li style="text-transform: lowercase;"><span class="valor-css">lowercase</span>: todo en minúsculas</li>
          </ul>
        </li>
      </ul>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Poner el <span class="etiqueta">h1</span> centrado y con sombra</li>
        <li>Subrayar los <span class="etiqueta">h2</span> con una línea roja y tengan la primera letra en mayúsculas</li>
        <li>Aplicar una sangria a los <span class="etiqueta">p</span> y hacer que el texto esté justificado</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio16/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio16/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>
  
    <section data-bespoke-state='clean'>
      <h1>Otros</h1>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">letter-spacing</span></h2>
      <ul class="lista">
        <li>Modifica el espacio entre las letras</li>
        <li>Valores: unidad de tamaño (puede ser negativa)</li>
      </ul>
      <p style="letter-spacing: -2px;">Texto de ejemplo con <span class="propiedad">letter-spacing</span> a <span class="valor-css">-2px;</span></p>
      <p style="letter-spacing: 5px;">Texto de ejemplo con <span class="propiedad">letter-spacing</span> a <span class="valor-css">5px;</span></p>
      <h2><span class="propiedad">word-spacing</span></h2>
      <ul class="lista">
        <li>Modifica el espacio entre las palabras</li>
        <li>Valores: unidad de tamaño (puede ser negativa)</li>
      </ul>
      <p style="word-spacing: -4px;">Texto de ejemplo con <span class="propiedad">word-spacing</span> a <span class="valor-css">-4px;</span></p>
      <p style="word-spacing: 10px;">Texto de ejemplo con <span class="propiedad">word-spacing</span> a <span class="valor-css">10px;</span></p>
    </section>



    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">white-space</span></h2>
      <ul class="lista">
        <li>Define como se comportan los espacios, tabulaciones, intros..</li>
        <li>Valores:
          <ul>
            <li><span class="valor-css">normal</span>: funcionamiento habitual</li>
            <li><span class="valor-css">nowrap</span>: como normal pero sin adaptar el contenido </li>
            <li><span class="valor-css">pre</span>: respeta la forma en la que se escribió el texto</li>
            <li><span class="valor-css">pre-wrap</span>: respesta los espacios y adapta el contenido</li>
            <li><span class="valor-css">pre-line</span>: reduce los espacios y mantiene los saltos de linea</li>
          </ul>
        </li>
        <li><a href="https://developer.mozilla.org/es/docs/Web/CSS/white-space#valores">Tabla explicativa</a></li>
      </ul>
    </section>

    
    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">white-space</span></h2>
      <div class="columnas-flex pt-05">
        <div>
          <h4><span class="valor-css">nowrap</span>:</h4>
          <pre class="m-05"><code>Lorem, ipsum dolor sit amet consectetur 
adipisicing elit.</code></pre>
        </div>
        <div>
          <h4><span class="valor-css">nowrap</span>:</h4>
          <p style="white-space: nowrap;">Lorem, ipsum dolor sit amet consectetur 
adipisicing elit.</p>
        </div>
        <div>
          <h4><span class="valor-css">pre</span>:</h4>
          <pre class="m-05"><code>Lorem, ipsum dolor sit amet consectetur 
adipisicing elit.</code></pre>
        </div>
        <div>
          <h4><span class="valor-css">pre</span>:</h4>
          <p style="white-space: pre;">Lorem, ipsum dolor sit amet consectetur 
adipisicing elit.</p>
        </div>  
        <div>
          <h4><span class="valor-css">pre-line</span>:</h4>
          <pre class="m-05"><code>Lorem, ipsum dolor sit amet consectetur 
adipisicing elit.</code></pre>
        </div>
        <div>
          <h4><span class="valor-css">pre-line</span>:</h4>
          <p style="white-space: pre-line;">Lorem, ipsum dolor sit amet consectetur 
adipisicing elit.</p>
        </div>       
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">line-height</span></h2>
      <ul class="lista">
        <li>Define la distancia entre lineas</li>
        <li>Valores: unidad de tamaño</li>
      </ul>
      <h3>Ejemplo con valor 0px</h3>
      <div style="line-height: 0px;">
        <p>Texto de ejemplo con <span class="propiedad">line-height</span> a <span class="valor-css">0px;</span></p>
        <p>Texto de ejemplo con <span class="propiedad">line-height</span> a <span class="valor-css">0px;</span></p>
      </div>
      <h3>Ejemplo con valor 60px</h3>
      <div style="line-height: 60px;">
        <p>Texto de ejemplo con <span class="propiedad">line-height</span> a <span class="valor-css">60px;</span></p>
        <p>Texto de ejemplo con <span class="propiedad">line-height</span> a <span class="valor-css">60px;</span></p>
      </div>
    </section>

    <section data-bespoke-state='clean'>
      <h2><span class="propiedad">direction</span></h2>
      <ul class="lista">
        <li>Define el sentido en el que fluye el texto</li>
        <li>Mejor declarar la propiedad <span class="propiedad">dir</span> en la etiqueta <span class="etiqueta">body</span></li>
        <li>Valores:
          <ul>
            <li><span class="valor-css">ltr</span>: de izquierda a derecha (por defecto)</li>
            <li><span class="valor-css">rtl</span>: de derecha a izquierda</li>
          </ul>
        </li>
      </ul>
    </section>

    <section class="no-print" data-bespoke-state='clean'>
      <h2>Ejercicio</h2>
      <ul class="lista">
        <li>Crear un fichero de estilos y enlazarlo</li>
        <li>Cambiar el comportamiento de los párrafos, aplicar el título asociado</li>
        <li>Jugar con la distancia entre lineas</li>
        <li>Aplicar los estilos para que el resultado se parezca lo más posible</li>
      </ul>      
      <p class="text-center">
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio17/index.html?inline=false">Ejercicio</a>
        <a class="importante" href="https://gitlab.com/Material_Formacion/html-y-css/ejercicios/-/raw/master/ejercicio17/img/resultado.png?inline=false">Resultado</a>
      </p>
    </section>

  </article>

  <script src='js/slides.keys.js'></script>
  <script src='js/slides.classes.js'></script>
  <script src='js/slides.state.js'></script>
  <script src='js/slides.kernel.js'></script>
  <script src='js/slides.jump.js'></script>
  <script src='js/slides.swipe.js'></script>

  <script>
    const { Deck, classes, keys, state, jump, swipe } = S6;
    const deck = new Deck({
      parent: 'article',
      plugins: [classes(), keys(), state(), jump(), swipe()]
    });
  </script>
</body>

</html>